<!--- count parks by state --->
<cfquery name="q_ParksByState" datasource="exampleapps">
SELECT STATE, COUNT(*) AS state_count 
FROM tblParks 
WHERE STATE IS NOT NULL 
GROUP BY STATE 
ORDER BY STATE; 
</cfquery>

<!--- count parks in Alaska --->
<cfquery name="q_MyState" datasource="exampleapps">
SELECT STATE, COUNT(*) AS my_count 
FROM tblParks 
WHERE STATE IS NOT NULL AND STATE = 'AK'
GROUP BY STATE 
ORDER BY STATE; 
</cfquery>

<!--- count parks ouside Alaska --->
<cfquery name="q_OtherStates" datasource="exampleapps">
SELECT COUNT(*) AS other_count
FROM tblParks
WHERE STATE <> 'AK'
</cfquery>
<html>
<head>
<title>US National Parks by State</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<br>
<!--- draw pie chart showing numbers of parks in my state relative to all the rest  --->
<cfchart showborder="yes" show3d="yes" chartwidth="600" chartheight="400" pieslicestyle="sliced">
	<!--- series with pie type --->
	<cfchartseries type="pie" query="q_MyState" itemcolumn="STATE" valuecolumn="my_count">
		<!--- add a second query as chart data --->
		<cfchartdata item="Other States" value="#q_OtherStates.other_count#">	
	</cfchartseries>
</cfchart>
<hr size="1" noshade>
<!--- dump the data --->
<cfdump var="#q_MyState#" label="Number of US Parks in Alaska"><br />
<cfdump var="#q_OtherStates#" label="Number of US Parks outside Alaska"> 

</body>
</html>
